using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication317
{
    class Program
    {
        static void Main(string[] args)
        {
            long x = long.Parse(Console.ReadLine());
            long y = long.Parse(Console.ReadLine());
            long t = 1;
            long d = 0;
            while (x > 0 && y > 0)
            {
                if (x % 10 > y % 10)
                {
                    d += (x  % 10) * t;
                }
                else if (y % 10 > x  % 10)
                {
                    d += y % 10 * t;
                }
                else if (x % 10 == y  % 10)
                {
                    d += x % 10 * t + y  % 10 * 10 * t;
                    t *= 10;
                }
                x /= 10;
                y /= 10;
                t *= 10;
            }
            d += (x + y) * t;
            Console.WriteLine(d);
            Console.Read();
        }
    }
}